﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Audio;

public class Mixer : MonoBehaviour {
    public AudioMixer mixer;
    public string parameter;
    public float value, step;
    public float min, max;
	
	void Update () {
        mixer.GetFloat(parameter, out value);
        if (Input.GetKeyDown(KeyCode.RightArrow) && value < max)
            value = Mathf.Min(value + step, max);
        if (Input.GetKeyDown(KeyCode.LeftArrow) && value > min)
            value = Mathf.Max(value - step, min);
        mixer.SetFloat(parameter, value);
	}
}
