﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Synth : MonoBehaviour {
    private float step;
    private float time;
	void Start () {
        time = 0f;
        step = 1f / AudioSettings.GetConfiguration().sampleRate;
	}
    private void OnAudioFilterRead(float[] data, int channels) {
        for (int i = 0; i < data.Length; i++) {
            data[i] = 0.25f * Mathf.Sin(220f * time + 110f * Mathf.Sin(1f * time));
            time += step;
        }
    }
}
